SDL_LinuxSetThreadPriority(3)

NAME
SDL_LinuxSetThreadPriority - Sets the UNIX nice value for a thread.

HEADER FILE
Defined in SDL3/SDL_system.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_LinuxSetThreadPriority(Sint64 threadID, int priority);

DESCRIPTION
This uses setpriority() if possible, and RealtimeKit if available.

FUNCTION PARAMETERS

threadID
    the Unix thread ID to change priority of.

priority
    The new, Unix-specific, priority value.

RETURN VALUE
Returns 0 on success, or -1 on error.

AVAILABILITY
This function is available since SDL 3.0.0.